/autocomplete

Get the predictive results. The answer contains both search suggestions to direct the end user to high-conversion queries, and item matches to help them understand what will be displayed in the complete search results.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Autocomplete response description

// Autocomplete response structure
{	
	/** Autocomplete request meta data */
	meta: {
		/** Item limit - this is the limitation of the product matches returned */
		item_limit: 3,
		/** Suggestion limit - this is the limitation of the suggestions returned */
		suggestion_limit: 6,
		/** Query taht was used to perform request */
		q: 'sample',
		/** Rerquest ID - first part: prefix that points to the source of the request (a/s/sc/r/c) */
		/** In case of autocomplete request prefix - is "a" */
		/** Second part is randomly generated string */
		rid: 's-9fcc881c-1420-4e57-bc58-e234829c363c'
	},
  	redirect: {
	    /** name of the redirect */
	    name: "NAME",
	    /** url of the redirect */
	    url: "URL"
	  },
  	/** Array of returned suggestions */
  
  /** Mapping of returned content items for each requested content source */
  content: {
  	"shopify-blog_123": [
      {
        /** Returnable content items fields */
      	title: "some title",
        url: "some-url",
        [field_name]: "field-value"
      }
    ]
  },
	suggestions: [
    	{
			value: 'a',
			redirect: {
				/** name of the redirect */
				name: "NAME",
				/** url of the redirect */
				url: "URL"
			}
		},{
			value: 'b'
		}
	],
	/** Array of returned product matches */
	items: [
		/** Object that represents default autocomplete product match */
		/** Important note: there might be additional fields in response, it depends on autocomplet returnable fields configuration */
		{
			/** Boolean flag that indicates whether the product is available or not */
			availability: true,
			/** Product ID */
			id: '4123451324123',
			/** Product URL */
			product_url: 'https://store-name.com/path_to_product',
			/** Price with which the discount price is compared */
			/** In case when product doesn't have sale price this fields will be -1 */
			compare_at: 100,
			/** Array of availble product prices */
			price: [90],
			/** If product has a sale price this field contains array of numbers */
			/** that represents discount value in percentage for each discounted price */
			discount: [10],
			/** Url for thumbnail image (cropped main product image) */
			thumbnail_url: 'https://cdn_name.com/path_the_thumbnail_image',
			/** Object with boolean flags which indicates which stickers to show  */
			stickers: {
				discount: true,
				availability: true,
				in-stock: true,
				out-of-stock: false
			}
		}
	]
}
Body Params
date-time
required
Defaults to 1484316253525

Timestamp when the request is sent from the browser

user
object
required
string
required
string
boolean
limits
object

Define how much suggestions/product matches/content items to return

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain